-------------------------------------------------------------------------------
-- English localization (Default)
-- By Dr. Doom
-------------------------------------------------------------------------------

-- Bindings
getfenv()["BINDING_NAME_CLICK XTradeBarButtonToggle:LeftButton"] = "Show/hide XTradeBar";

-- As of XTradeBar 1.05 (XBar 1.10) or higher, the specialties must come right before their respective tradeskills
-- Note that the master weaponsmithing skills take precedence over the general skill "weaponsmith" and must appear before

-- Tradeskills
XTradeBarSpells = {
    "#Alchemy",
	"Transmutation Master",
	"Potion Master",
	"Elixir Master",
	"Alchemy",
    "#Blacksmithing",
	"Master Swordsmith",
	"Master Axesmith",
	"Master Hammersmith",
	"Armorsmith",
	"Weaponsmith",
	"Blacksmithing",
    "#Mining",
	"Smelting",
    "#Enchanting",
	"Enchanting",
	"Disenchant",
    "#Engineering",
	"Gnomish Engineer",
	"Goblin Engineer",
	"Engineering",
	"#Inscription",
	"Inscription",
	"Decipher",
	"Milling",
	"Minor Inscription Research",
	"Northrend Inscription Research",
    "#Leatherworking",
	"Dragonscale Leatherworking",
	"Elemental Leatherworking",
	"Tribal Leatherworking",
	"Leatherworking",
    "#Tailoring",
	"Mooncloth Tailoring",
	"Spellfire Tailoring",
	"Shadoweave Tailoring",
	"Tailoring",
    "#Jewelcrafting",
	"Jewelcrafting",
	"Prospecting",
    "#Secondary",
	"First Aid",
	"Kochen", -- This is a fix for the deDE locale.  It perceives it as a 'Specialization' and replaces the spell
	"Cooking",
	"Basic Campfire",
	"Fishing",
    "#Tracking",
	"Find Minerals",
	"Find Herbs",
	"Find Treasure",
	"Find Fish",
	"#Special",
	"%Runeforging",
};


if (GetLocale() ~= "enUS") and (GetLocale() ~= "enGB") then
	if XBARLOCALIZER then
		XBar_LocalizeList(XTradeBarSpells);
	else
		DEFAULT_CHAT_FRAME:AddMessage("XBarLocalizer not loaded.");
	end
end